import java.awt.*;
import java.applet.*;

public class Applet9 extends Applet {
    String fontName;
    int fontSize;
    float leading;
    boolean active;

    //Inicializa la cadena que se va a mostrar
    public void start(){
	String param;
	fontName = getParameter("fontName");
	if(fontName == null)
	  fontName = "No encontrado";
	param = getParameter("fontsize");
	try{
		if(param != null)//si no se encuentra
		  fontSize = Integer.parseInt(param);
		else
		  fontSize = 0;
	}catch(NumberFormatException e){
		fontSize = -1;
	}
	
	param = getParameter("leading");
	try{
		if(param != null)//si no se encuentra
		  leading = Float.valueOf(param).floatValue();
		else
		  leading = 0;
	}catch(NumberFormatException e){
		leading = -1;
	}
	param = getParameter("accountEnabled");
	if(param != null)
	  active = Boolean.valueOf(param).booleanValue();
    }

    //Muestra los parmetros.
    public void paint (Graphics g) {
      g.drawString ("Tipo de letra: "+fontName, 0,10);
      g.drawString ("Tamao: "+fontSize, 0,26);
      g.drawString ("Separacin entre lneas: "+leading, 0,42);
      g.drawString ("Activo: "+active, 0,58);
    }
}
