/*
Esta es una applet que crea un hilo que desplaza
de derecha a izquierda el mensaje contenido en msg
a travs de la ventana de la applet.

<applet code="Applet4" width=300 heigth=50>
</applet>
*/

import java.awt.*;
import java.applet.*;

public class Applet4 extends Applet implements Runnable{
    String msg = " un cartel moviendose ";
    Thread t = null;

    //establece los colores e inicia el hilo
    public void init(){
	setBackground(Color.cyan);
	setForeground(Color.red);
	t = new Thread(this);
	t.start(); //comienza la ejecucin del hilo
	t.suspend(); //suspende la applet hasta que este
			//totalmente inicializada
    }

    //Reanuda el hilo.
    public void start(){
	t.resume();
    }

    public void run(){
	char ch;
	
	//muestra el cartel hasta que se para.
	for(;;){
		try{
			repaint();
			Thread.sleep(250);
			ch = msg.charAt(0);
			msg = msg.substring(1,msg.length());
			msg += ch;
		}catch(InterruptedException e){}
	}
    }

    //Para el cartel
    public void stop(){
	t.suspend();
    }

    //Para el hilo cuando la applet termina
    public void destroy(){
	if(t!=null){
	  t.stop();
	  t = null;
	}
    }

    //Muestra el cartel
    public void paint (Graphics g) {
      g.drawString (msg, 10,30);
    }
}
